@echo off
setlocal

:: Check if Update.zip exists
if not exist "Update.zip" (
    echo Update.zip file does not exist.
    pause
    exit /b
)

:: Extract Update.zip in the same folder
echo Extracting Update.zip...
powershell -command "Expand-Archive -Path 'Update.zip' -DestinationPath '.' -Force"

:: Check if extraction succeeded
if %errorlevel% neq 0 (
    echo An error occurred while extracting Update.zip.
    pause
    exit /b
)

:: Delete the Update.zip file after successful extraction
echo Deleting Update.zip...
del "Update.zip"

:: Check if deletion succeeded
if exist "Update.zip" (
    echo An error occurred while deleting Update.zip.
    pause
    exit /b
)

:: Launch EpicSecure.exe
echo Launching EpicSecure.exe...
start "" "EpicSecure.exe"

:: Check if the application launched successfully
if %errorlevel% neq 0 (
    echo An error occurred while launching EpicSecure.exe.
    pause
    exit /b
)

echo Completed.
pause
endlocal
exit /b
